Perform PIX payment by validation code

The Perform Pix Payment endpoint allows you to initiate a payment using a validation code (by searching a pix key before). By providing the validation code obtained from a Pix key search and specifying the payment amount and additional notes, you can process a payment transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The correlation_id is an identifier that allows you to establish a correlation with your system. It is used to ensure secure payment processing without the risk of duplicate payments. In the event of system instabilities on both your end and ours, if you make a request and do not receive a response from the API for any reason, you can use the correlation_id to reconcile the payment.

The correlation_id is sent along with the payment payload via webhook. Here is an example of a webhook response that includes a correlation_id:

{  
  "httpVerb": "post",  
  "webhookUrl": "<https://api.dev.hkdintl.com/api/third/callback/payment/10>",  
  "payload": {  
    "id": 98418,  
    "account_id": 1116,  
    "authentication_code": "c016ccc1-ed6b-4459-967d-aae50ffae5e8",  
    "amount": -280,  
    "status": "DONE",  
    "owner_type": "App\\Models\\PixPayment",  
    "type": "CASH_OUT",  
    "created_at": "2023-07-03T09:02:55.000000Z",  
    "performed_at": "2023-07-03T09:02:58.000000Z",  
    "performed_at_timestamp": 1688374978997,  
    "owner": {  
      "id": 82955,  
      "authentication_code": "14488c9c-327f-4212-b556-d4a3c64914cb",  
      "status": "DONE",  
      "amount": 280,  
      "end_to_end_id": "E3562431920230703090255340935da9",  
      "notes": "202307031denBiG00000000000",  
      "recipient_account_bank_ispb": "35624319",  
      "recipient_account_bank_name": "MK DIGITAL ",  
      "recipient_account_branch": "3000",  
      "recipient_account_number": "10740",  
      "recipient_account_type": "TRAN",  
      "recipient_document_number": "45749646000104",  
      "recipient_name": "BRGABE Servicos de apoio administrativos ltda",  
      "addressing_key": "c4eeb8cd-05d5-4199-a3ab-506827d859b6",  
      "addressing_key_type": "EVP",  
      "transaction_id": null,  
      "initialization_type": "DICT",  
      "correlation_id": "202307031denBiG00000000000"  
    }  
  },  
  "headers": {  
    "Content-Type": "application/json",  
    "Signature": "a4098e82a46bda1da0bd5970f3b3a350c588c6a8c16cd55c12c9d38c0bc198ec"  
  },  
  "meta": \[],  
  "tags": \[],  
  "attempt": 1,  
  "response": "SUCCESS",  
  "response_status": 200,  
  "uuid": "ecd24035-a102-47e2-adb8-e1aaeeef5a22"
}
Body Params
string
required

Validation code provided by a pix key search

float
required

Payment amount. Min: 0.01.

string
Defaults to Vaquinha para churrasco

Some notes

string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json